/*
 *  Released under the GNU GPL.  See http://www.gnu.org/licenses/gpl.txt
 *
 *  This program is part of TinyPLC
 *
 *  TinyPLC is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundatation; version 2 of the License.
 *
 *  TinyPLC is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 */
/*
 *  My thanks to my employer, Athena Controls (www.athenacontrols.com)
 *  for allowing me to open source this project.
 */
/*
 *  TinyPLC kernel
 *  Processor:   Atmel MEGA1281 or Atmel MEGA2561
 *  Compiler:    Codevision AVR C compiler, 1.24.8e
 *
 *  TinyPLC editor/compiler
 *  Processor:   PC-clone, VESA video (mode 0x105, 1024x768x256)
 *  Compiler:    DeSmet C, version 2.51 (PCC version 1.2)
 *
 *  Revision history:
 *  Programmer        Date       Comments
 *  ----------------  ---------  ---------------------------------------------
 *  William Couture   3/19/2006  Original code
 *  William Couture   9/13/2006  Modify for GPL release
 */

BYTE charset8[1024] =
   {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*   0: <nul> */
   0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, /*   1: LEFT_EDGE */
   0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, /*   2: RIGHT_EDGE */
   0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, /*   3: VERT_BAR, BOX_TOPBAR */
   0x18, 0x10, 0x10, 0xF0, 0x10, 0x10, 0x18, 0x00, /*   4: START_NO_IN */
   0x18, 0x08, 0x08, 0x0F, 0x08, 0x08, 0x18, 0x00, /*   5: END_NO_IN */
   0x18, 0x10, 0x10, 0xF1, 0x12, 0x14, 0x18, 0x00, /*   6: START_NC_IN */
   0x38, 0x48, 0x88, 0x0F, 0x08, 0x08, 0x18, 0x00, /*   7: END_NC_IN */
   0x0C, 0x10, 0x20, 0xE0, 0x20, 0x10, 0x0C, 0x00, /*   8: START_NO_OUT */
   0x30, 0x08, 0x04, 0x07, 0x04, 0x08, 0x30, 0x00, /*   9: END_NO_OUT */
   0x0C, 0x10, 0x20, 0xE0, 0x21, 0x12, 0x0C, 0x00, /*  10: START_NC_OUT */
   0x30, 0x28, 0x44, 0x87, 0x04, 0x08, 0x30, 0x00, /*  11: END_NC_OUT */
   0x00, 0x00, 0x00, 0x18, 0x3C, 0x7E, 0xFF, 0xFF, /*  12: SCROLL_UPARROW */
   0xFF, 0xFF, 0x7E, 0x3C, 0x18, 0x00, 0x00, 0x00, /*  13: SCROLL_DOWNARROW */
   0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, /*  14: SCROLL_BAR */
   0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*  15: BRANCH_BAR */
   0x00, 0xFF, 0x80, 0x80, 0x80, 0xFF, 0x00, 0x00, /*  16: START_BRANCH */
   0x00, 0xFF, 0x01, 0x01, 0x01, 0xFF, 0x00, 0x00, /*  17: END_BRANCH */
   0x00, 0xFF, 0x00, 0x04, 0x06, 0xFF, 0x06, 0x04, /*  18: EXPAND_BRANCH */
   0x00, 0x00, 0x00, 0xFF, 0x10, 0x10, 0x10, 0x10, /*  19: OR_VERT_T */
   0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, /*  20: OR_VERT_BAR, BOX_SIDEBAR */
   0x10, 0x10, 0x10, 0x1F, 0x00, 0x00, 0x00, 0x00, /*  21: OR_LEFT, BOX_BOTTOM_LEFT */
   0x10, 0x10, 0x10, 0xF0, 0x00, 0x00, 0x00, 0x00, /*  22: OR_RIGHT, BOX_BOTTOM_RIGHT */
   0x00, 0x00, 0x00, 0x1F, 0x10, 0x10, 0x10, 0x10, /*  23: BOX_TOP_LEFT */
   0x00, 0x00, 0x00, 0xF0, 0x10, 0x10, 0x10, 0x10, /*  24: BOX_TOP_RIGHT */
   0x10, 0x10, 0x10, 0x1F, 0x10, 0x10, 0x10, 0x10, /*  25: OR_LEFT_T */
   0x10, 0x10, 0x10, 0xF0, 0x10, 0x10, 0x10, 0x10, /*  26: OR_RIGHT_T */
   0xFC, 0xF8, 0xF0, 0xF0, 0xD8, 0x8C, 0x06, 0x06, /*  27: MOUSE_CURSOR */
   0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, /*  28: SCROLL_BOX */
   0x00, 0x24, 0x66, 0xFF, 0x66, 0x24, 0x00, 0x00, /*  29: <blank> */
   0x00, 0x18, 0x3C, 0x7E, 0xFF, 0xFF, 0x00, 0x00, /*  30: <blank> */
   0x00, 0xFF, 0xFF, 0x7E, 0x3C, 0x18, 0x00, 0x00, /*  31: <blank> */
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*  32: <spc> */
   0x30, 0x78, 0x78, 0x30, 0x30, 0x00, 0x30, 0x00, /*  33: ! */
   0x6C, 0x6C, 0x6C, 0x00, 0x00, 0x00, 0x00, 0x00, /*  34: " */
   0x6C, 0x6C, 0xFE, 0x6C, 0xFE, 0x6C, 0x6C, 0x00, /*  35: # */
   0x30, 0x7C, 0xC0, 0x78, 0x0C, 0xF8, 0x30, 0x00, /*  36: $ */
   0x00, 0xC6, 0xCC, 0x18, 0x30, 0x66, 0xC6, 0x00, /*  37: % */
   0x38, 0x6C, 0x38, 0x76, 0xDC, 0xCC, 0x76, 0x00, /*  38: & */
   0x60, 0x60, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, /*  39: ' */
   0x18, 0x30, 0x60, 0x60, 0x60, 0x30, 0x18, 0x00, /*  40: ( */
   0x60, 0x30, 0x18, 0x18, 0x18, 0x30, 0x60, 0x00, /*  41: ) */
   0x00, 0x66, 0x3C, 0xFF, 0x3C, 0x66, 0x00, 0x00, /*  42: * */
   0x00, 0x30, 0x30, 0xFC, 0x30, 0x30, 0x00, 0x00, /*  43: + */
   0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0x60, /*  44: , */
   0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, /*  45: - */
   0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0x00, /*  46: . */
   0x06, 0x0C, 0x18, 0x30, 0x60, 0xC0, 0x80, 0x00, /*  47: / */
   0x7C, 0xC6, 0xCE, 0xDE, 0xF6, 0xE6, 0x7C, 0x00, /*  48: 0 */
   0x30, 0x70, 0x30, 0x30, 0x30, 0x30, 0xFC, 0x00, /*  49: 1 */
   0x78, 0xCC, 0x0C, 0x38, 0x60, 0xCC, 0xFC, 0x00, /*  50: 2 */
   0x78, 0xCC, 0x0C, 0x38, 0x0C, 0xCC, 0x78, 0x00, /*  51: 3 */
   0x1C, 0x3C, 0x6C, 0xCC, 0xFE, 0x0C, 0x1E, 0x00, /*  52: 4 */
   0xFC, 0xC0, 0xF8, 0x0C, 0x0C, 0xCC, 0x78, 0x00, /*  53: 5 */
   0x38, 0x60, 0xC0, 0xF8, 0xCC, 0xCC, 0x78, 0x00, /*  54: 6 */
   0xFC, 0xCC, 0x0C, 0x18, 0x30, 0x30, 0x30, 0x00, /*  55: 7 */
   0x78, 0xCC, 0xCC, 0x78, 0xCC, 0xCC, 0x78, 0x00, /*  56: 8 */
   0x78, 0xCC, 0xCC, 0x7C, 0x0C, 0x18, 0x70, 0x00, /*  57: 9 */
   0x00, 0x30, 0x30, 0x00, 0x00, 0x30, 0x30, 0x00, /*  58: : */
   0x00, 0x30, 0x30, 0x00, 0x00, 0x30, 0x30, 0x60, /*  59: ; */
   0x18, 0x30, 0x60, 0xC0, 0x60, 0x30, 0x18, 0x00, /*  60: < */
   0x00, 0x00, 0xFC, 0x00, 0x00, 0xFC, 0x00, 0x00, /*  61: = */
   0x60, 0x30, 0x18, 0x0C, 0x18, 0x30, 0x60, 0x00, /*  62: > */
   0x78, 0xCC, 0x0C, 0x18, 0x30, 0x00, 0x30, 0x00, /*  63: ? */
   0x7C, 0xC6, 0xDE, 0xDE, 0xDE, 0xC0, 0x78, 0x00, /*  64: @ */
   0x30, 0x78, 0xCC, 0xCC, 0xFC, 0xCC, 0xCC, 0x00, /*  65: A */
   0xFC, 0x66, 0x66, 0x7C, 0x66, 0x66, 0xFC, 0x00, /*  66: B */
   0x3C, 0x66, 0xC0, 0xC0, 0xC0, 0x66, 0x3C, 0x00, /*  67: C */
   0xF8, 0x6C, 0x66, 0x66, 0x66, 0x6C, 0xF8, 0x00, /*  68: D */
   0xFE, 0x62, 0x68, 0x78, 0x68, 0x62, 0xFE, 0x00, /*  69: E */
   0xFE, 0x62, 0x68, 0x78, 0x68, 0x60, 0xF8, 0x00, /*  70: F */
   0x3C, 0x66, 0xC0, 0xC0, 0xCE, 0x66, 0x3E, 0x00, /*  71: G */
   0xCC, 0xCC, 0xCC, 0xFC, 0xCC, 0xCC, 0xCC, 0x00, /*  72: H */
   0x78, 0x30, 0x30, 0x30, 0x30, 0x30, 0x78, 0x00, /*  73: I */
   0x1E, 0x0C, 0x0C, 0x0C, 0xCC, 0xCC, 0x78, 0x00, /*  74: J */
   0xE6, 0x66, 0x6C, 0x78, 0x6C, 0x66, 0xE6, 0x00, /*  75: K */
   0xF0, 0x60, 0x60, 0x60, 0x62, 0x66, 0xFE, 0x00, /*  76: L */
   0xC6, 0xEE, 0xFE, 0xFE, 0xD6, 0xC6, 0xC6, 0x00, /*  77: M */
   0xC6, 0xE6, 0xF6, 0xDE, 0xCE, 0xC6, 0xC6, 0x00, /*  78: N */
   0x38, 0x6C, 0xC6, 0xC6, 0xC6, 0x6C, 0x38, 0x00, /*  79: O */
   0xFC, 0x66, 0x66, 0x7C, 0x60, 0x60, 0xF0, 0x00, /*  80: P */
   0x78, 0xCC, 0xCC, 0xCC, 0xDC, 0x78, 0x1C, 0x00, /*  81: Q */
   0xFC, 0x66, 0x66, 0x7C, 0x6C, 0x66, 0xE6, 0x00, /*  82: R */
   0x78, 0xCC, 0xE0, 0x78, 0x1C, 0xCC, 0x78, 0x00, /*  83: S */
   0xFC, 0xB4, 0x30, 0x30, 0x30, 0x30, 0x78, 0x00, /*  84: T */
   0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xFC, 0x00, /*  85: U */
   0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x78, 0x30, 0x00, /*  86: V */
   0xC6, 0xC6, 0xD6, 0xFE, 0xFE, 0xEE, 0xC6, 0x00, /*  87: W */
   0xC6, 0xC6, 0x6C, 0x38, 0x38, 0x6C, 0xC6, 0x00, /*  88: X */
   0xCC, 0xCC, 0xCC, 0x78, 0x30, 0x30, 0x78, 0x00, /*  89: Y */
   0xFE, 0xC6, 0x8C, 0x18, 0x32, 0x66, 0xFE, 0x00, /*  90: Z */
   0x78, 0x60, 0x60, 0x60, 0x60, 0x60, 0x78, 0x00, /*  91: [ */
   0xC0, 0x60, 0x30, 0x18, 0x0C, 0x06, 0x02, 0x00, /*  92: \ */
   0x78, 0x18, 0x18, 0x18, 0x18, 0x18, 0x78, 0x00, /*  93: ] */
   0x10, 0x38, 0x6C, 0xC6, 0x00, 0x00, 0x00, 0x00, /*  94: ^ */
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, /*  95: _ */
   0x30, 0x30, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, /*  96: ` */
   0x00, 0x00, 0x78, 0x0C, 0x7C, 0xCC, 0x76, 0x00, /*  97: a */
   0x00, 0xE0, 0x60, 0x7C, 0x66, 0x66, 0xDC, 0x00, /*  98: b */
   0x00, 0x00, 0x78, 0xCC, 0xC0, 0xCC, 0x78, 0x00, /*  99: c */
   0x00, 0x1C, 0x0C, 0x7C, 0xCC, 0xCC, 0x76, 0x00, /* 100: d */
   0x00, 0x00, 0x78, 0xCC, 0xFC, 0xC0, 0x78, 0x00, /* 101: e */
   0x38, 0x6C, 0x60, 0xF0, 0x60, 0x60, 0xF0, 0x00, /* 102: f */
   0x00, 0x00, 0x76, 0xCC, 0xCC, 0x7C, 0x0C, 0xF8, /* 103: g */
   0xE0, 0x60, 0x6C, 0x76, 0x66, 0x66, 0xE6, 0x00, /* 104: h */
   0x30, 0x00, 0x70, 0x30, 0x30, 0x30, 0x78, 0x00, /* 105: i */
   0x0C, 0x00, 0x0C, 0x0C, 0x0C, 0xCC, 0xCC, 0x78, /* 106: j */
   0xE0, 0x60, 0x66, 0x6C, 0x78, 0x6C, 0xE6, 0x00, /* 107: k */
   0x70, 0x30, 0x30, 0x30, 0x30, 0x30, 0x78, 0x00, /* 108: l */
   0x00, 0x00, 0xCC, 0xFE, 0xFE, 0xD6, 0xC6, 0x00, /* 109: m */
   0x00, 0x00, 0xF8, 0xCC, 0xCC, 0xCC, 0xCC, 0x00, /* 110: n */
   0x00, 0x00, 0x78, 0xCC, 0xCC, 0xCC, 0x78, 0x00, /* 111: o */
   0x00, 0x00, 0xDC, 0x66, 0x66, 0x7C, 0x60, 0xF0, /* 112: p */
   0x00, 0x00, 0x76, 0xCC, 0xCC, 0x7C, 0x0C, 0x1E, /* 113: q */
   0x00, 0x00, 0xDC, 0x76, 0x66, 0x60, 0xF0, 0x00, /* 114: r */
   0x00, 0x00, 0x7C, 0xC0, 0x78, 0x0C, 0xF8, 0x00, /* 115: s */
   0x20, 0x60, 0xF8, 0x60, 0x60, 0x68, 0x30, 0x00, /* 116: t */
   0x00, 0x00, 0xCC, 0xCC, 0xCC, 0xCC, 0x76, 0x00, /* 117: u */
   0x00, 0x00, 0xCC, 0xCC, 0xCC, 0x78, 0x30, 0x00, /* 118: v */
   0x00, 0x00, 0xC6, 0xD6, 0xFE, 0xFE, 0x6C, 0x00, /* 119: w */
   0x00, 0x00, 0xC6, 0x6C, 0x38, 0x6C, 0xC6, 0x00, /* 120: x */
   0x00, 0x00, 0xCC, 0xCC, 0xCC, 0x7C, 0x0C, 0xF8, /* 121: y */
   0x00, 0x00, 0xFC, 0x98, 0x30, 0x64, 0xFC, 0x00, /* 122: z */
   0x1C, 0x30, 0x30, 0xE0, 0x30, 0x30, 0x1C, 0x00, /* 123: { */
   0x18, 0x18, 0x18, 0x00, 0x18, 0x18, 0x18, 0x00, /* 124: | */
   0xE0, 0x30, 0x30, 0x1C, 0x30, 0x30, 0xE0, 0x00, /* 125: } */
   0x76, 0xDC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /* 126: ~ */
   0x00, 0x10, 0x38, 0x6C, 0xC6, 0xC6, 0xFE, 0x00  /* 127:  */
   };
